--- title: "Get message delivery result" slug: "sens-sms-get" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-sms-get" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get message delivery result Available in Classic and VPC Get the message delivery result. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /sms/v2/services/{serviceId}/messages/{messageId} | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | SMS service ID - See [Get project list](/docs/en/sens-project-list). | | `messageId` | String | Required | Message ID - See [Get message delivery list](/docs/en/sens-sms-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sens.apigw.ntruss.com/sms/v2/services/ncp:sms:kr:50*********1:sens/messages/f574d3f0-****-****-****-daa31f50eaf5' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `statusCode` | String | - | Status code - It follows HTTP status code rules. - `200`: Success - Others: Failure | | `statusName` | String | - | Status - `success` \| `reserved` \| `fail` - `success`: Success - `reserved`: Reserved - `fail`: Failure | | `messages` | Array | - | Message information: [messages](/docs/en/sens-sms-get#messages) | #### `messages` The following describes `messages`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `requestId` | String | - | Request ID | | `messageId` | String | - | Message ID | | `requestTime` | String | - | Request date and time - YYYY-MM-dd HH:mm:ss format | | `contentType` | String | - | Message content type - `COMM` \| `AD` - `COMM`: General - `AD`: Advertisement | | `type` | String | - | Message type - `SMS` \| `LMS` \| `MMS` - `SMS`: SMS message - `LMS`: LMS message - `MMS`: MMS message | | `subject` | String | - | Message subject | | `content` | String | - | Message content | | `countryCode` | String | - | Country code | | `from` | String | - | Caller ID | | `to` | String | - | Recipient number | | `completeTime` | String | - | Completion date and time - YYYY-MM-dd HH:mm:ss format | | `telcoCode` | String | - | Network provider code | | `files` | Array | - | Attachment list: [files](/docs/en/sens-sms-get#files) | | `status` | String | - | Request status - `READY` \| `PROCESSING` \| `COMPLETED` - `READY`: Standby - `PROCESSING`: Processing - `COMPLETED`: Completed | | `statusCode` | String | - | [Reception result code](/docs/en/sens-sms-get#%EC%88%98%EC%8B%A0%EA%B2%B0%EA%B3%BC%EC%BD%94%EB%93%9C) | | `statusName` | String | - | Reception status - `success` \| `fail` - `success`: Success - `fail`: Failure | | `statusMessage` | String | - | Reception status message | #### `files` The following describes `files`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `fileId` | String | - | File ID | | `name` | String | - | File name | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "statusCode": "200", "statusName": "success", "messages": [ { "requestId": "RSMA-*************-****-********-ijYyjJqS", "messageId": "f574d3f0-****-****-****-daa31f50eaf5", "requestTime": "2025-11-25 10:17:00", "contentType": "COMM", "type": "MMS", "subject": "Delivery", "content": "Hello, ******. This is for notifying your delivery status.", "countryCode": "82", "from": "010********", "to": "010********", "completeTime": "2025-11-25 10:17:00", "telcoCode": "ETC", "files": [ { "fileId": "a136************************74f7", "name": "G0ufjqMy3wBpCucJenTaU.jpg" } ], "status": "COMPLETED", "statusCode": "3018", "statusName": "fail", "statusMessage": "When using a number subscribed to a caller ID spoofing prevention add-on service through a mobile carrier as the caller ID" } ] } ``` ## Reception result code EMMA v3.5.1 and later versions use these codes to indicate the delivery status of SMS messages after transmission. EMMA delivery status codes are categorized into the following three types: - IB G/W report code: Result code returned after sending a message to the mobile carrier - IB G/W response code: Result code returned after the relay gateway receives the message - IB EMMA: Error code generated during EMMA's processing of the message delivery request ### IB G/W Report Code The following describes each IB G/W report code. | Code | Classification | Description | | --- | --- | --- | | 0 | success | Succeeded | | 2000 | failure | Delivery timeout | | 2001 | failure | Delivery failure (wireless network) | | 2002 | failure | Delivery failure (wireless network > device) | | 2003 | failure | Device power off | | 2004 | failure | Device message buffer full | | 2005 | failure | Shadow area | | 2006 | failure | Message deleted | | 2007 | failure | Temporary device problem | | 3000 | Invalid | Delivery unavailable | | 3001 | Invalid | No subscriber | | 3002 | Invalid | Adult authentication failure | | 3003 | Invalid | Recipient number format error | | 3004 | Invalid | Device service temporarily unavailable | | 3005 | Invalid | Device call processing status | | 3006 | Invalid | Call denied | | 3007 | Invalid | Phone can't receive callback URL | | 3008 | Invalid | Other device problems | | 3009 | Invalid | Message format error | | 3010 | Invalid | Device doesn't support MMS | | 3011 | Invalid | Server error | | 3012 | Invalid | Spam | | 3013 | Invalid | Service denied | | 3014 | Invalid | Other | | 3015 | Invalid | No delivery path | | 3016 | Invalid | Attachment size limitation failure | | 3017 | Invalid | Violation of regulations against caller ID spoofing | | 3018 | Invalid | Mobile phone subscriber number enrolled in the caller ID spoofing prevention service | | 3019 | Invalid | Caller ID requested by KISA or the Ministry of Science and ICT to be blocked from all customers | | 3022 | Invalid | Charset Conversion Error | | 3023 | Invalid | Unregistered caller ID number through the caller ID pre-registration system | ### IB G/W Response Code The following describes each IB G/W response code. | Code | Description | | --- | --- | | 1001 | Server Busy (RS internal queue full) | | 1002 | Recipient number format error | | 1003 | Callback number error | | 1004 | Spam | | 1005 | No. of use exceeded | | 1006 | No attachment | | 1007 | Attachment | | 1008 | Attachment saving failure | | 1009 | No CLIENT_MSG_KEY | | 1010 | No CONTENT | | 1011 | No CALLBACK | | 1012 | No RECIPIENT_INFO | | 1013 | No SUBJECT | | 1014 | No attachment key | | 1015 | No attachment name | | 1016 | No attachment size | | 1017 | No attachment content | | 1018 | No delivery permission | | 1019 | TTL exceeded | | 1020 | charset conversion error | | S000 | Relay request failure (server error) | | S001 | Relay request failure (server error) | | S002 | Relay request failure (bad request) | | S003 | Relay request failure (spam processing) | | S004 | Quota exceeded | | S005 | Invalid MMS file | | S006 | MMS file not found | | S007 | MMS file expired | | S008 | MMS file size exceeded | | S009 | MMS file resolution exceeded | | S010 | MMS file upload quota exceeded | | S011 | MMS file upload failure | | S012 | Caller ID rule error | | S998 | Unexpected server error | | S999 | Other errors | ### IB EMMA The following describes each IB EMMA code. | Code | Description | | --- | --- | | E900 | No Invalid-IB delivery key | | E901 | No recipient number | | E902 | For broadcast messages, mo order of recipient numbers | | E903 | No title | | E904 | No message | | E905 | No callback number | | E906 | No message key | | E907 | No broadcast messages status | | E908 | No service type | | E909 | No delivery request time | | E910 | No TTL time | | E911 | No attachment extension when the service type is MMS MT | | E912 | No attachment in the attach_file folder when the service type is MMS MT | | E913 | Attachment size is 0 when the service type is MMS MT | | E914 | File group key exists in message table but no data in file table when service type is MMS MT. | | E915 | Duplicate message | | E916 | Blocked number by authentication server | | E917 | Blocked number by customer DB | | E918 | USER CALLBACK FAIL | | E919 | When it is prohibited to re-send the message because there is a delivery time limit | | E920 | File group keys in the message table when the service type is LMS MT | | E921 | File group keys in the message table when the service type is MMS MT | | E922 | Error in using restricted characters for broadcast message | | E999 | Other errors |